commit:     25b3a589c42d42d48e3c30b49a12a46afab00d8d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  1 19:51:42 2014 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Dec  4 14:01:35 2014 +0000
URL:        
http://sources.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=25b3a589

Ban einstall for EAPI 6

---
 bin/eapi.sh          | 4 ++++
 bin/phase-helpers.sh | 5 +++++
 2 files changed, 9 insertions(+)

diff --git a/bin/eapi.sh b/bin/eapi.sh
index 5ab92f4..b27b57c 100644
--- a/bin/eapi.sh
+++ b/bin/eapi.sh
@@ -48,6 +48,10 @@ ___eapi_has_dosed() {
        [[ ${1-${EAPI}} =~ ^(0|1|2|3)$ ]]
 }
 
+___eapi_has_einstall() {
+       [[ ${1-${EAPI}} =~ 
^(0|1|2|3|4|4-python|4-slot-abi|5|5-hdepend|5-progress)$ ]]
+}
+
 ___eapi_has_docompress() {
        [[ ! ${1-${EAPI}} =~ ^(0|1|2|3)$ ]]
 }

diff --git a/bin/phase-helpers.sh b/bin/phase-helpers.sh
index 5605efd..6e437da 100644
--- a/bin/phase-helpers.sh
+++ b/bin/phase-helpers.sh
@@ -666,6 +666,11 @@ econf() {
 }
 
 einstall() {
+       if ! ___eapi_has_einstall; then
+               die "'${FUNCNAME}' has been banned for EAPI '$EAPI'"
+               exit 1
+       fi
+
        # CONF_PREFIX is only set if they didn't pass in libdir above.
        local LOCAL_EXTRA_EINSTALL="${EXTRA_EINSTALL}"
        if ! ___eapi_has_prefix_variables; then

Reply via email to